import React from 'react'
import colors from '../../utils/Colors'

const Password = props => (
  <svg viewBox='0 0 20 20' xmlns='http://www.w3.org/2000/svg' {...props}>
    <g fill={props.color}>
      <path d='M18.243 1.757a6 6 0 0 0-8.484 0 5.989 5.989 0 0 0-1.587 5.638.126.126 0 0 1-.063.136L5.927 8.622a.335.335 0 0 0-.083.532L7.14 10.45a.095.095 0 0 1 0 .135L.093 17.632a.335.335 0 0 0-.093.232v1.8c0 .186.15.336.335.336H3.92c.185 0 .335-.15.335-.335v-1.549c0-.053.043-.096.096-.096H5.9c.185 0 .335-.15.335-.335v-1.549c0-.052.043-.095.096-.095h1.549c.185 0 .335-.15.335-.336v-1.549c0-.052.03-.125.068-.163l1.133-1.133a.096.096 0 0 1 .135 0l1.304 1.304a.334.334 0 0 0 .524-.091l1.091-2.183a.125.125 0 0 1 .136-.063 5.99 5.99 0 0 0 5.638-1.586 5.999 5.999 0 0 0 0-8.484zM16.08 6.08a1.804 1.804 0 1 1-2.551-2.55 1.804 1.804 0 0 1 2.551 2.55z' />
    </g>
  </svg>
)

Password.defaultProps = {
  color: colors.SLATE_GREY
}

export default Password
